Package org.kapott.hbci.datatypes

## Class SyntaxCode

- java.lang.Object
- - org.kapott.hbci.datatypes.SyntaxDE
  - - org.kapott.hbci.datatypes.SyntaxAN
    - - org.kapott.hbci.datatypes.SyntaxCode

    public class SyntaxCode
    extends SyntaxAN

### Constructor Summary

Constructors
`SyntaxCode​(java.lang.StringBuffer res, int minsize, int maxsize)`
`SyntaxCode​(java.lang.String x, int minlen, int maxlen)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `init​(java.lang.StringBuffer res, int minsize, int maxsize)`
`void` `init​(java.lang.String x, int minlen, int maxlen)`

### Methods inherited from class org.kapott.hbci.datatypes.SyntaxAN

`init, quote, toString, unquote`

### Methods inherited from class org.kapott.hbci.datatypes.SyntaxDE

`destroy, findNextDelim, getContent, setContent, skipPreDelim, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### SyntaxCode

    public SyntaxCode​(java.lang.String x,
                      int minlen,
                      int maxlen)

#### SyntaxCode

    public SyntaxCode​(java.lang.StringBuffer res,
                      int minsize,
                      int maxsize)

### Method Detail

#### init

    public void init​(java.lang.String x,
                     int minlen,
                     int maxlen)

Overrides:
  `init` in class `SyntaxAN`

#### init

    public void init​(java.lang.StringBuffer res,
                     int minsize,
                     int maxsize)

Overrides:
  `init` in class `SyntaxAN`